EZCart Docs
Api

Store Products_get Related Products

Get related products for a given product. Returns products sharing the most categories/tags with the target product.

GET
/v1/store/products/{productId}/related

Path Parameters

productId*string

Query Parameters

limit?number

Response Body

application/json

curl -X GET "https://loading/v1/store/products/string/related"
[
  {
    "attributes": {
      "property1": {
        "type": "string",
        "value": "string"
      },
      "property2": {
        "type": "string",
        "value": "string"
      }
    },
    "availableForSale": true,
    "categories": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "description": "string",
    "id": "string",
    "images": [
      "string"
    ],
    "name": "string",
    "originalPrice": 0,
    "priceRange": {
      "maxPrice": 0,
      "minPrice": 0
    },
    "productType": "string",
    "requiresShipping": true,
    "salePrice": 0,
    "seo": {
      "metaDescription": "string",
      "metaKeywords": [
        "string"
      ],
      "metaTitle": "string",
      "ogImage": "string"
    },
    "sizeGuide": {
      "content": "string",
      "id": "string",
      "imageUrl": "string",
      "name": "string"
    },
    "sku": "string",
    "slug": "string",
    "tags": [
      "string"
    ],
    "thumbnail": "string",
    "unitName": "string",
    "variantOptions": [
      {
        "key": "string",
        "position": 0,
        "values": [
          "string"
        ]
      }
    ],
    "variants": [
      {
        "id": "string",
        "images": [
          "string"
        ],
        "inStock": true,
        "lowStock": true,
        "optionValues": {
          "property1": "string",
          "property2": "string"
        },
        "originalPrice": 0,
        "salePrice": 0,
        "sku": "string"
      }
    ]
  }
]